Class | TkEvent::Event
In: | tk/lib/tk/event.rb
Parent: | TkUtil::CallbackSubst

### Methods

group_flag type_id type_name

### Classes and Modules

Module TkEvent::Event::Grp
Module TkEvent::Event::StateMask
Module TkEvent::Event::TypeNum

### Constants

TYPE_NAME_TBL | = | Hash.new
TYPE_ID_TBL | = | Hash.new
TYPE_GROUP_TBL | = | Hash.new

FIELD_FLAG

=

{ # key => flag 'above' => Grp::CONFIG, 'borderwidth' => (Grp::CREATE|Grp::CONFIG), 'button' => Grp::BUTTON, 'count' => Grp::EXPOSE, 'data' => Grp::VIRTUAL, 'delta' => Grp::MWHEEL, 'detail' => (Grp::FOCUS|Grp::CROSSING), 'focus' => Grp::CROSSING, 'height' => (Grp::EXPOSE|Grp::CONFIG), 'keycode' => Grp::KEY, 'keysym' => Grp::KEY, 'mode' => (Grp::CROSSING|Grp::FOCUS), 'override' => (Grp::CREATE|Grp::MAP|Grp::REPARENT|Grp::CONFIG), 'place' => Grp::CIRC, 'root' => (Grp::KEY_BUTTON_MOTION_VIRTUAL|Grp::CROSSING), 'rootx' => (Grp::KEY_BUTTON_MOTION_VIRTUAL|Grp::CROSSING), 'rooty' => (Grp::KEY_BUTTON_MOTION_VIRTUAL|Grp::CROSSING), 'sendevent' => Grp::ALL, 'serial' => Grp::ALL, 'state' => (Grp::KEY_BUTTON_MOTION_VIRTUAL| Grp::CROSSING|Grp::VISIBILITY), 'subwindow' => (Grp::KEY_BUTTON_MOTION_VIRTUAL|Grp::CROSSING), 'time' => (Grp::KEY_BUTTON_MOTION_VIRTUAL|Grp::CROSSING| Grp::PROP), 'warp' => Grp::KEY_BUTTON_MOTION_VIRTUAL, 'width' => (Grp::EXPOSE|Grp::CREATE|Grp::CONFIG), 'window' => (Grp::CREATE|Grp::UNMAP|Grp::MAP|Grp::REPARENT| Grp::CONFIG|Grp::GRAVITY|Grp::CIRC), 'when' => Grp::ALL, 'x' => (Grp::KEY_BUTTON_MOTION_VIRTUAL|Grp::CROSSING| Grp::EXPOSE|Grp::CREATE|Grp::CONFIG|Grp::GRAVITY| Grp::REPARENT), 'y' => (Grp::KEY_BUTTON_MOTION_VIRTUAL|Grp::CROSSING| Grp::EXPOSE|Grp::CREATE|Grp::CONFIG|Grp::GRAVITY| Grp::REPARENT), }

FIELD_OPERATION | = | { 'root' => proc{|val| begin Tk.tk_call_without_enc('winfo', 'pathname', val)

### Public Class methods

group_flag(id)

[Source]

    # File tk/lib/tk/event.rb, line 119
        def self.group_flag(id)
          TYPE_GROUP_TBL[id] || 0
        end

type_id(name)

[Source]

    # File tk/lib/tk/event.rb, line 111
        def self.type_id(name)
          TYPE_NAME_TBL[name.to_s]
        end

type_name(id)

[Source]

    # File tk/lib/tk/event.rb, line 115
        def self.type_name(id)
          TYPE_ID_TBL[id] && TYPE_ID_TBL[id][0]
        end

[Validate]